package dev.fitko.fitconnect.api.domain.sender.steps.encrypted;

import java.util.UUID;

public interface EncryptedDestinationStep {

    /**
     * Configures the client for the given destination and loads the public key
     *
     * @param destinationId unique identifier of the clients destination
     * @return the upload step for attachments
     */
    EncryptedServiceTypeStep setDestination(UUID destinationId);
}
